from buildbot.plugins import util
import re

def _is_build_script_available(props):
    return props.getProperty("build_script_available", default=False)

@util.renderer
def is_build_script_available(props):
    return _is_build_script_available(props)

@util.renderer
def isnt_build_script_available(props):
    return not _is_build_script_available(props)

def _is_test_script_available(props):
    return props.getProperty("test_script_available", default=False)

@util.renderer
def is_test_script_available(props):
    return _is_test_script_available(props)

@util.renderer
def isnt_test_script_available(props):
    return not _is_test_script_available(props)

def _files_to_upload(props):
    try:
        return ','.join(props.getProperty("files_to_upload", default="").rstrip().split("\n"))
    except AttributeError:
        return ""

@util.renderer
def files_to_upload(props):
    return _files_to_upload(props)

@util.renderer
def has_files_to_upload(props):
    return bool(_files_to_upload(props))

@util.renderer
def no_files_to_upload(props):
    return not _files_to_upload(props)
